XMLWriter::writeDTDAttlist
XMLWriter::writeDTDEntity
XMLWriter Functions
PHP Manual

# XMLWriter::writeDTDElement

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::writeDTDElement — Write full DTD element tag

### Description

Oriented object style

XMLWriter
bool writeDTDElement ( string `$name` , string `$content` )

Procedural style

bool xmlwriter_write_dtd_element ( resource `$xmlwriter` , string `$name` , string `$content` )

Writes a full DTD element.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The name of the DTD element.

`content`

  The content of the element.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDTDElement - Create start DTD element
- XMLWriter::endDTDElement - End current DTD element

XMLWriter::writeDTDAttlist
XMLWriter::writeDTDEntity
XMLWriter Functions
PHP Manual